#include <lib/std.mi>

Global Group thisGroup, eqGroup;
Global Layer volLayer, seekLayer;
Global Map volMap, seekmap;
Global Timer m_timer;
Global Button eqToggle, AOLB;

System.onScriptLoaded() {
  thisGroup = getScriptGroup();
  eqGroup = thisGroup.getObject("eq.group");
  AOLB = thisGroup.getObject("aolbutton");

  eqGroup.hide();

  volLayer = thisGroup.getObject("VOL FULL");
  seekLayer = thisGroup.getObject("POS FULL");
  eqToggle = thisGroup.getObject("EQ OFF");

  volMap = new map;
  volMap.loadmap("player.volmap");
  seekmap = new map;
  seekmap.loadmap("player.seekmap");

  m_timer = new timer;
  m_timer.setDelay(200);
  m_timer.start();

  System.onVolumeChanged(getVolume());
}

System.onVolumeChanged(int newvol) {
  volLayer.setRegionFromMap(volMap,newvol,1);
}

System.onSeek(int newpos) {
  if (newpos <= 0) return;
  int len = getPlayItemLength();
  if(len <= 0) return;
  int devby = len/255;
  if(devby <= 0) return;
  seekLayer.setRegionFromMap(seekmap,newpos/devby,1);
}

m_timer.onTimer() {
  System.onSeek(getPosition());
}

System.onStop() {
  seekLayer.setRegionFromMap(seekmap,255,1);
}

System.onPlay() {
  seekLayer.setRegionFromMap(seekmap,0,1);
}

eqToggle.onLeftButtonUp(int x, int y) {
  eqGroup.show();
}

AOLB.onLeftButtonUp(int x, int y) {
  navigateUrl("http://free.aol.com/tryaolfree/index.adp?promo=547270&service=aolhsb");
}