#include <lib/std.mi>

Global Group thisGroup;
Global Button bPause, bPlay;
Global Layer volLayer, posLayer;
Global Map sMap;
Global Timer m_timer;

System.onScriptLoaded() {
  thisGroup = getScriptGroup();
  bPause = thisGroup.getObject("PAUSE");
  bPlay = thisGroup.getObject("PLAY");
  volLayer = thisGroup.getObject("VOL FULL");
  posLayer = thisGroup.getObject("POS FULL");

  sMap = new map;
  sMap.loadmap("shade.map");

  m_timer = new timer;
  m_timer.setDelay(200);
  m_timer.start();

  if(getStatus() == STATUS_PLAYING) {
    bPause.show();
    bPlay.hide();
  } else {
    bPause.hide();
    bPlay.show();
  }

  System.onVolumeChanged(getVolume());
}

System.onPlay() {
  posLayer.setRegionFromMap(smap,0,1);
  bPause.show();
  bPlay.hide();
}

System.onPause() {
  bPause.hide();
  bPlay.show();
}

System.onResume() {
  bPause.show();
  bPlay.hide();
}

System.onStop() {
  posLayer.setRegionFromMap(smap,255,1);
  bPause.hide();
  bPlay.show();
}

System.onVolumeChanged(int newvol) {
  volLayer.setRegionFromMap(sMap,newvol,1);
}

System.onSeek(int newpos) {
  if (newpos <= 0) return;
  int len = getPlayItemLength();
  if(len <= 0) return;
  int devby = len/255;
  if(devby <= 0) return;
  posLayer.setRegionFromMap(smap,newpos/devby,1);
}

m_timer.onTimer() {
  System.onSeek(getPosition());
}